﻿/* 2022-11-25 By Chike: 調整入口網排版 -- Start -- */
@media(min-width:768px) {
    body: not(.sidebar-mini-md) .content-wrapper, body:not(.sidebar-mini-md) .main-footer, body:not(.sidebar-mini-md) .main-header {
        margin: 0 3rem;
    }
}

.wrapper {
    min-width: 20rem;
    margin: 2em auto auto;
}

.bd-placeholder-img {
    font-size: 1.125rem;
    text-anchor: middle;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
}

html, body {
    height: 100%;
}

body {
    display: -ms-flexbox;
    display: flex;
    -ms-flex-align: center;
    align-items: center;
    min-height: 100vh;
    flex-direction: column;
    position: relative;
    overflow-x: hidden;
    background-image: url(/image/home-background.jpg);
    background-size: cover;
}

.body-content {
    max-width: 80%;
    margin: 0px auto;
    flex-grow: 1;
}

@media(max-width:600px) {
    .body-content {
        max-width: 100%;
    }
}

/*---------------------------------------------------- header ----------------------------------------------------*/
header {
    position: fixed;
    top: 0;
    width: 100vw;
    z-index: 10000;
    height: 70px;
    display: flex !important;
    align-items: center;
    justify-content: space-between;
    background: linear-gradient(to right,#35274a 0%,#604c7f 100%);
    padding: 0.5rem;
}
    /* logo */
    header .logo {
        width: 270px;
        margin-right: 60px;
        font-size: 1.5rem;
        text-align: center;
        font-weight: bold;
        color: white;
        display: flex;
        align-items: center;
    }
    @media screen and (max-width: 1024px) {
        header .logo {
            margin-right: 0px;
        }
    }
    @media screen and (max-width: 576px) {
        header .logo {
            font-size: 1.4rem;
        }
    }

        header .logo:hover {
            color: white;
            text-decoration: none;
        }

        header .logo > img {
            width: 40px;
        }

    header nav {
        height: 100%;
        font-weight: 600;
        display: flex;
        align-items: center;
        flex: 1;
    }

        header nav a {
            font-size: 1.5rem;
            font-weight: bold;
            height: 100%;
            padding: 0 8px;
            display: flex;
            align-items: center;
            color: white;
        }

            header nav a:hover {
                color: white;
                background-color: #745a9b;
                text-decoration: none;
            }

    header .nav_personal {
        height: 100%;
        display: flex;
        align-items: center;
    }

        header .nav_personal a {
            height: 100%;
            margin-right: 18px;
            display: flex;
            align-items: center;
        }

            header .nav_personal a:hover {
                color: white;
                text-decoration: none;
            }

    /* 漢堡 */
    header .ico-hamburger {
        width: 40px;
        margin-right: 0 !important;
        background-color: #a27cd1;
        justify-content: center;
        display: none !important;
        border-radius: 5px;
    }

        header .ico-hamburger i {
            width: 25px;
            height: 0 !important;
            position: relative;
            border-bottom: 3px solid #fff;
        }

            header .ico-hamburger i::before, header .ico-hamburger i::after {
                width: 100%;
                height: 0;
                content: '';
                border-bottom: 3px solid #fff;
                position: absolute;
                left: 0;
            }

            header .ico-hamburger i::before {
                top: -8px;
            }

            header .ico-hamburger i::after {
                top: 8px;
            }

@media screen and (max-width:1024px) {
    header .nav_personal {
        height: 76%;
        margin-right:4px;
    }
    header .ico-hamburger {
        display: flex !important;
    }
}

/* 我的收藏、APP下載、會員登入 <1024 */
header .nav_personal_1024 {
    width: 160px;
    background-color: #a27cd1;
    position: absolute;
    right: 0;
    top: 70px; /*display:flex;*/
    flex-direction: column;
    display: none;
    z-index: 1;
}
    header .nav_personal_1024 .user-name {
        width: 100%;
        height: 40px;
        color: #fff;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        font-size: 1rem !important;
    }
        header .nav_personal_1024 .user-name::after {
            width: 100%;
            height: 0;
            content: '';
            border-bottom: 1px solid #594676;
            position: absolute;
            left: 0;
            bottom: 0;
        }

    header .nav_personal_1024 a {
        width: 100%;
        height: 40px;
        color: #fff;
        display: flex;
        justify-content: center;
        align-items: center;
        position: relative;
        font-size: 1rem !important;
    }

        header .nav_personal_1024 a::after {
            width: 100%;
            height: 0;
            content: '';
            border-bottom: 1px solid #594676;
            position: absolute;
            left: 0;
            bottom: 0;
        }

        header .nav_personal_1024 a:last-child::after {
            border: none;
        }

        header .nav_personal_1024 a:hover {
            background-color: #594676;
        }

        header .nav_personal_1024 .header-user {
            font-weight: 400 !important;
        }

@media screen and (max-width:1024px) {
    header nav { display: none; }
    header .nav_personal a:nth-child(-n+2) { display: none; }
    header .nav_personal span:first-child { display:none; }
}

/*---------------------------------------------------- header ----------------------------------------------------*/


.form-signin {
    width: 100%;
    max-width: 330px;
    padding: 15px;
    margin: 2em auto auto;
}

    .form-signin .checkbox {
        font-weight: 400;
    }

    .form-signin .form-control {
        position: relative;
        box-sizing: border-box;
        height: auto;
        padding: 10px;
        font-size: 16px;
    }

        .form-signin .form-control:focus {
            z-index: 2;
        }

    .form-signin input[type="email"] {
        margin-bottom: -1px;
        border-bottom-right-radius: 0;
        border-bottom-left-radius: 0;
    }

    .form-signin input[type="password"] {
        margin-bottom: 10px;
        border-top-left-radius: 0;
        border-top-right-radius: 0;
    }

.form-group {
    margin-bottom: 0.2rem;
}

form input, form select {
    text-align: center;
}

div .grecaptcha-badge {
    display: none !important;
}

.header-user {
    color: white !important;
    font-size: 1.5rem;
    font-weight: bold;
}

.image-btn {
    border: none;
    padding: 0px;
    margin: 10px;
    max-width: 95vw;
}

    .image-btn > img {
        width: 100%;
    }

.admin-btn {
    color: white;
    background-color: dimgray;
    width: 8rem;
    height: 2rem;
    border-radius: 5px;
}

.login-title {
    font-size: 3rem;
    color: #525252;
    text-align: center;
}

.login-container {
    height: 95vh;
    overflow: hidden;
    flex-wrap: nowrap;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.title {
    font-size: 1.5rem;
    text-align: center;
    font-weight: bold;
}

    .title > img {
        width: 40px;
        margin-top: 5px;
    }

.banner {
    /* 2022-12-21 By Chike: UI優化，降低空白 -- Start -- */
    /* margin-top: 2rem;
    margin-right: 50px;
    margin-bottom: 2rem;
    margin-left: 50px;*/
    margin-top: -2.5rem;
    margin-right: 0px;
    margin-bottom: 1rem;
    margin-left: 0px;
    /* 2022-12-21 By Chike: UI優化，降低空白 -- Start -- */
}


.subtitle {
    font-size: 1.2rem;
    margin: 15px;
    text-align: center;
}

    .subtitle > i {
        color: #5dd0a7
    }

.entrance {
    display: flex;
    justify-content: center;
}

    .entrance > button {
        width: 30%;
        padding: 10px;
        background-color: transparent;
        max-width: 200px;
        min-width: 130px;
    }

        .entrance > button:hover {
            border: 5px solid aliceblue;
            border-radius: 5px;
            padding: 0px;
        }

        .entrance > button:focus {
            outline: none;
        }

.boxbig {
}

    .boxbig .differBox {
    }

        .boxbig .differBox .headtitle {
            text-align: center;
        }

            .boxbig .differBox .headtitle span {
                display: inline-block;
                border-radius: 23px;
                font-size: 1.25rem;
                color: #ffffff;
                padding: 5px 30px;
                font-weight: 500;
            }

@media(max-width:600px) {
    .boxbig .differBox .headtitle span {
        max-width: 17rem;
    }
}

/* 2023-02-15 By Chike: 新功能 173 入口網優化 最好一頁能呈現所有資訊 -- Start -- */
.boxbig .differBox .everyone {
    margin: 25px 0px 0 0px;
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: flex-start;
    column-gap: 10px;
    row-gap: 10px;
}

    .boxbig .differBox .everyone .newTop {
       /* margin-top: 10px;
        padding-right: 5px !important;
        padding-left: 5px !important;*/
       width: 31%;
    }
    /* 2023-02-15 By Chike: 新功能 173 入口網優化 最好一頁能呈現所有資訊 -- End -- */

.boxbig .differBox .everyone .whiteBg {
    background-color: #ffffff;
}

.boxbig .differBox .everyone .sbox {
    background-color: white;
    border-radius: 8px;
    text-align: center;
    padding: 3px;
}

    .boxbig .differBox .everyone .sbox .imgFont {
        background-color: white;
        display: flex;
        justify-content: center;
    }

.img-responsive {
    display: block;
    max-width: 100%;
    height: auto;
}
/* 2022-11-25 By Chike: 調整入口網排版 -- End -- */

/* 2023-02-15 By Chike: 新功能 173 入口網優化 最好一頁能呈現所有資訊 -- Start -- */
.outline {
    padding: 20px !important;
}

@media(min-width:600px) {
    .banner {
        margin: 0 0%;
    }

        .banner.logined {
            margin: 0 0%;
        }

    .boxbig .differBox .everyone {
        justify-content: space-between;
    }

        .boxbig .differBox .everyone .newTop {
            width: 30%;
        }

    .outline {
        margin-left: 0px !important;
        margin-right: 0px !important;
    }
}

@media(min-width:1200px) {
    .banner {
        margin: 0 2%;
    }

        .banner.logined {
            margin: 0 18%;
        }

    .boxbig .differBox .everyone .newTop {
        width: 31%;
    }
}

@media(min-width:1600px) {
    .banner {
        margin: 0;
    }

        .banner.logined {
            margin: 0 18%;
        }

    .boxbig .differBox .everyone .newTop {
        width: 31%;
    }
}
/* 2023-02-15 By Chike: 新功能 173 入口網優化 最好一頁能呈現所有資訊 -- End -- */